libzypp: zypp::CachedPublicKeyData Class Reference

libzypp 17.38.6

zypp::CachedPublicKeyData Class Reference

Functor returning the keyrings data (cached). More...

`#include <zypp-common/private/keyring_p.h>`

Inheritance diagram for zypp::CachedPublicKeyData:

## Classes
struct | Manip
| Helper providing on demand a KeyManagerCtx to manip the cached keyring. More...
struct | Cache

## Public Member Functions
const std::list< PublicKeyData > & | operator() (const Pathname &keyring_r) const
void | setDirty (const Pathname &keyring_r)
Manip | manip (Pathname keyring_r)
| Helper providing on demand a KeyManagerCtx to manip the cached keyring.

## Private Types
using | CacheMap = std::map<Pathname, Cache>

## Private Member Functions
const std::list< PublicKeyData > & | getData (const Pathname &keyring_r) const
const std::list< PublicKeyData > & | getData (const Pathname &keyring_r, Cache &cache_r) const

## Private Attributes
CacheMap | _cacheMap

## Detailed Description

Functor returning the keyrings data (cached).

const std::list<PublicKeyData> & cachedPublicKeyData( const Pathname & keyring );
zypp::filesystem::Pathname
Pathname.
Definition Pathname.h:48
zypp::keyring
Definition KeyRingContexts.cc:18

Definition at line 32 of file keyring_p.h.

## Member Typedef Documentation

## ◆ CacheMap

using zypp::CachedPublicKeyData::CacheMap = std::map<Pathname, Cache>
| private

Definition at line 78 of file keyring_p.h.

## Member Function Documentation

## ◆ operator()()

const std::list< PublicKeyData > & zypp::CachedPublicKeyData::operator() | ( | const Pathname & | keyring_r | ) | const

Definition at line 86 of file keyring_p.cc.

## ◆ setDirty()

void zypp::CachedPublicKeyData::setDirty | ( | const Pathname & | keyring_r | ) |

Definition at line 89 of file keyring_p.cc.

## ◆ manip()

CachedPublicKeyData::Manip zypp::CachedPublicKeyData::manip | ( | filesystem::Pathname | keyring_r | ) |

Helper providing on demand a KeyManagerCtx to manip the cached keyring.

Definition at line 92 of file keyring_p.cc.

## ◆ getData() [1/2]

const std::list< PublicKeyData > & zypp::CachedPublicKeyData::getData | ( | const Pathname & | keyring_r | ) | const
| private

Definition at line 94 of file keyring_p.cc.

## ◆ getData() [2/2]

const std::list< PublicKeyData > & zypp::CachedPublicKeyData::getData | ( | const Pathname & | keyring_r,
|  | Cache & | cache_r ) const
| private

Definition at line 102 of file keyring_p.cc.

## Member Data Documentation

## ◆ _cacheMap

CacheMap zypp::CachedPublicKeyData::_cacheMap
| mutableprivate

Definition at line 84 of file keyring_p.h.

The documentation for this class was generated from the following files:

- zypp-common/private/keyring_p.h
- zypp-common/private/keyring_p.cc